--- old/usr/src/cmd/listen/Makefile	Tue Jan  8 12:34:32 2019
+++ new/usr/src/cmd/listen/Makefile	Tue Jan  8 12:34:32 2019
@@ -23,6 +23,8 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+
 PROG= listen nlps_server
 
 DBGOBJ	= doprnt.o
@@ -63,6 +65,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 $(LIBSAFD)/% : %
 	$(INS.file)
 
--- old/usr/src/cmd/loadkeys/Makefile	Tue Jan  8 12:34:32 2019
+++ new/usr/src/cmd/loadkeys/Makefile	Tue Jan  8 12:34:32 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= loadkeys dumpkeys
 sparc_SUBDIRS= type_4 type_6 type_101
@@ -42,6 +43,9 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CLOBBERFILES = $(PROG) loadkeys.c
 
 .KEEP_STATE:
--- old/usr/src/cmd/lockstat/Makefile.com	Tue Jan  8 12:34:33 2019
+++ new/usr/src/cmd/lockstat/Makefile.com	Tue Jan  8 12:34:33 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= lockstat
 OBJS= lockstat.o sym.o
@@ -33,6 +34,9 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-uninitialized
+
+SMOFF += index_overflow
+
 LINTFLAGS += -xerroff=E_SEC_SPRINTF_UNBOUNDED_COPY
 LINTFLAGS64 += -xerroff=E_SEC_SPRINTF_UNBOUNDED_COPY
 
--- old/usr/src/cmd/lofiadm/Makefile	Tue Jan  8 12:34:34 2019
+++ new/usr/src/cmd/lofiadm/Makefile	Tue Jan  8 12:34:34 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= lofiadm
 OBJS= main.o utils.o
@@ -30,7 +31,7 @@
 
 SRCS= $(OBJS:%.o=%.c)
 
-POFILES= $(OBJS:%.o=%.po) 
+POFILES= $(OBJS:%.o=%.po)
 
 include ../Makefile.cmd
 
@@ -40,6 +41,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LINTFLAGS += -erroff=E_NAME_USED_NOT_DEF2
 
 .KEEP_STATE:
--- old/usr/src/cmd/look/Makefile	Tue Jan  8 12:34:36 2019
+++ new/usr/src/cmd/look/Makefile	Tue Jan  8 12:34:36 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= look
 DATADIR= dict
@@ -37,6 +38,9 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 FILEMODE=	755
 
 $(ROOTDATADIR)/$(DATA):= FILEMODE=444
--- old/usr/src/cmd/lp/Makefile.lp	Tue Jan  8 12:34:38 2019
+++ new/usr/src/cmd/lp/Makefile.lp	Tue Jan  8 12:34:38 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # cmd/lp/Makefile.lp
@@ -97,6 +98,9 @@
 CERRWARN +=	-_gcc=-Wno-extra
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 all:=		TARGET= all
 install:=	TARGET= install
 clean:=		TARGET= clean
--- old/usr/src/cmd/lp/lib/filters/Makefile	Tue Jan  8 12:34:39 2019
+++ new/usr/src/cmd/lp/lib/filters/Makefile	Tue Jan  8 12:34:39 2019
@@ -23,6 +23,7 @@
 # Copyright 1990-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY	=	liblpflt.a
 
@@ -52,6 +53,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 POFILE =	lp_lib_filters.po
 
 .KEEP_STATE:
--- old/usr/src/cmd/lp/lib/oam/Makefile	Tue Jan  8 12:34:42 2019
+++ new/usr/src/cmd/lp/lib/oam/Makefile	Tue Jan  8 12:34:42 2019
@@ -23,10 +23,8 @@
 # Copyright 1990-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# cmd/lp/lib/oam/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
+
 include         ../../Makefile.lp
 
 LIBRARY =		liblpoam.a
@@ -71,6 +69,9 @@
 
 CPPFLAGS =		-I$(LPINC) $(CPPFLAGS.master)
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all install :		$(TXTFILES) $(LIBS)
--- old/usr/src/cmd/luxadm/Makefile	Tue Jan  8 12:34:45 2019
+++ new/usr/src/cmd/luxadm/Makefile	Tue Jan  8 12:34:45 2019
@@ -22,11 +22,12 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = luxadm
 
 COBJS = adm.o fchba.o lux_util.o fabric_conf.o
-OBJS_sparc= g_adm.o diag.o fcalupdate.o hotplug.o qlgcupdate.o setboot.o 
+OBJS_sparc= g_adm.o diag.o fcalupdate.o hotplug.o qlgcupdate.o setboot.o
 OBJS_i386 = x86_adm.o errormsgs.o
 OBJS = $(OBJS_$(MACH)) $(COBJS)
 
@@ -42,6 +43,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 sparc_LDLIBS = -la5k -lg_fc -ldevid -lkstat -ldevinfo
 i386_LDLIBS =
 LDLIBS += $($(MACH)_LDLIBS)
--- old/usr/src/cmd/mail/Makefile	Tue Jan  8 12:34:46 2019
+++ new/usr/src/cmd/mail/Makefile	Tue Jan  8 12:34:46 2019
@@ -22,10 +22,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 
+BINPROG=	mail
 
-BINPROG=	mail 
-
 PROG= 	       $(BINPROG)
 
 GREP=		grep
@@ -76,6 +77,9 @@
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-extra
 
+# missing type declarations for old-style functions
+SMATCH =	off
+
 LDLIBS +=	-lmail -lsocket
 
 # mail defines its own delete() - reduce symbols to locals to remove name clash.
@@ -104,7 +108,7 @@
 
 .PARALLEL: $(MAILOBJS) $(OBJS)
 
-all:		$(PROG) 
+all:		$(PROG)
 
 mail: 		$(MAILOBJS)
 	$(LINK.c) -o $@ $(MAILOBJS) $(LDLIBS)
@@ -117,7 +121,7 @@
 $(ROOTBIN)/rmail:
 	$(RM) $@; $(SYMLINK) mail $@
 
-lint: 
+lint:
 	$(LINT.c) $(MAILSRC)
 
 clean:
--- old/usr/src/cmd/mailwrapper/Makefile	Tue Jan  8 12:34:49 2019
+++ new/usr/src/cmd/mailwrapper/Makefile	Tue Jan  8 12:34:49 2019
@@ -12,10 +12,11 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Copyright 2014 Alexander Pyhalov
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 
-LIBPROG=	mailwrapper 
+LIBPROG=	mailwrapper
 
 PROG= 	       $(LIBPROG)
 
@@ -49,6 +50,8 @@
 
 LINTFLAGS	+= -erroff=E_FUNC_RET_ALWAYS_IGNOR2
 
+SMOFF += all_func_returns
+
 # conditional assignments
 #
 all:=		TARGET= all
@@ -65,7 +68,7 @@
 
 .PARALLEL: $(MWOBJS) $(OBJS)
 
-all:		$(PROG) 
+all:		$(PROG)
 
 mailwrapper:	$(MWOBJS)
 	$(LINK.c) -o $@ $(MWOBJS) $(LDLIBS)
@@ -75,7 +78,7 @@
 
 # ROOTSYMLINKS
 #
-$(ROOTBIN)/mailq: 
+$(ROOTBIN)/mailq:
 	$(RM) $@; $(SYMLINK) ../lib/mailwrapper $@
 
 $(ROOTLIB)/sendmail:
@@ -90,7 +93,7 @@
 $(ROOTETCMAIL)/%:  %
 	$(INS.file)
 
-lint: 
+lint:
 	$(LINT.c) $(SRCS)
 
 clean:
--- old/usr/src/cmd/mailx/Makefile	Tue Jan  8 12:34:51 2019
+++ new/usr/src/cmd/mailx/Makefile	Tue Jan  8 12:34:52 2019
@@ -68,6 +68,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-clobbered
+# not linted
+SMATCH=off
+
 LINTFLAGS=	-hb
 LDLIBS +=	-lmail -lcustr
 LDFLAGS +=	$(MAPFILE.NGB:%=-M%)
--- old/usr/src/cmd/mandoc/Makefile.common	Tue Jan  8 12:34:54 2019
+++ new/usr/src/cmd/mandoc/Makefile.common	Tue Jan  8 12:34:54 2019
@@ -79,6 +79,9 @@
 # XXX gcc 4.4.4 false positive
 roff.o :=	CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CFLAGS +=	$(CC_VERBOSE)
 CSTD=		$(CSTD_GNU99)
 
--- old/usr/src/cmd/mdb/Makefile.mdb	Tue Jan  8 12:34:57 2019
+++ new/usr/src/cmd/mdb/Makefile.mdb	Tue Jan  8 12:34:57 2019
@@ -109,6 +109,8 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 
+SMOFF += all_func_returns
+
 #
 # -erroff=E_INCONS_ARG_DECL2 works around a problem where lint gets confused
 # about how struct mdb_tgt_gregset is used in mdb_tgt_stack_f() and
--- old/usr/src/cmd/mdb/Makefile.module	Tue Jan  8 12:34:59 2019
+++ new/usr/src/cmd/mdb/Makefile.module	Tue Jan  8 12:34:59 2019
@@ -23,7 +23,7 @@
 # Use is subject to license terms.
 #
 # Copyright (c) 2013 by Delphix. All rights reserved.
-# Copyright 2015, Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 .KEEP_STATE:
@@ -123,6 +123,8 @@
 ASFLAGS			+= -P
 AS_CPPFLAGS		+= -D_ASM
 
+SMOFF += all_func_returns,index_overflow
+
 # Module type-specific compiler flags
 $(MODOBJS) :=			CFLAGS += $(C_BIGPICFLAGS) $(XREGSFLAG)
 $(MODOBJS) :=			CFLAGS64 += $(C_BIGPICFLAGS) $(XREGSFLAG)
--- old/usr/src/cmd/mdb/intel/amd64/ip/Makefile	Tue Jan  8 12:34:59 2019
+++ new/usr/src/cmd/mdb/intel/amd64/ip/Makefile	Tue Jan  8 12:34:59 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 MODULE = ip.so
 MDBTGT = kvm
@@ -34,3 +35,6 @@
 include ../../../Makefile.module
 
 CPPFLAGS += -I$(SRC)/uts/common/inet
+
+# needs work
+SMOFF += shift_to_zero
--- old/usr/src/cmd/mdb/intel/ia32/libpython/Makefile	Tue Jan  8 12:35:00 2019
+++ new/usr/src/cmd/mdb/intel/ia32/libpython/Makefile	Tue Jan  8 12:35:00 2019
@@ -22,6 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/Makefile.master
 
@@ -39,8 +40,17 @@
 
 %.o := CPPFLAGS += $(PYCPPFLAGS)
 %.ln := CPPFLAGS += $(PYLNFLAGS)
+
+#
+# Why these? Well, the pyconfig.h header hard-codes _FILE_OFFSET_BITS
+# to 64, regardless of what we have set here.  GCC quietens this complaint via
+# use of -isystem, but neither lint nor smatch can do that.
+#
 LINTFLAGS += -erroff=E_MACRO_REDEFINED
 
+# not linted
+SMATCH=off
+
 dmod/$(MODULE) := LDLIBS += -lproc
 
 %.o: $(MODSRCS_DIR)/%.c
--- old/usr/src/cmd/mkmsgs/Makefile	Tue Jan  8 12:35:01 2019
+++ new/usr/src/cmd/mkmsgs/Makefile	Tue Jan  8 12:35:01 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= mkmsgs
 
@@ -30,9 +31,12 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTPROG)
 
--- old/usr/src/cmd/modload/Makefile.com	Tue Jan  8 12:35:02 2019
+++ new/usr/src/cmd/modload/Makefile.com	Tue Jan  8 12:35:02 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/modload/Makefile.com
+# Copyright (c) 2018, Joyent, Inc.
 #
 # makefile for loadable module utilities
 
@@ -61,6 +61,9 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 # install specifics
 
 $(ROOTDRVPROG) := FILEMODE = 0555
--- old/usr/src/cmd/more/Makefile	Tue Jan  8 12:35:03 2019
+++ new/usr/src/cmd/more/Makefile	Tue Jan  8 12:35:03 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= more
 DATA= more.help
@@ -41,9 +42,12 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) $(DATA) 
+all: $(PROG) $(DATA)
 
 install: all $(ROOTPROG) $(ROOTLIBDATA)
 	$(RM) $(ROOTBIN)/page
--- old/usr/src/cmd/mpathadm/Makefile	Tue Jan  8 12:35:04 2019
+++ new/usr/src/cmd/mpathadm/Makefile	Tue Jan  8 12:35:04 2019
@@ -22,7 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/mpathadm/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../Makefile.cmd
 
@@ -37,9 +37,12 @@
 
 LINTFLAGS += -xerroff=E_BAD_FORMAT_STR2
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 $(PROG): $(OBJS)
 	$(LINK.c) -o $@ $(OBJS) $(LDLIBS)
--- old/usr/src/cmd/ndmpd/Makefile	Tue Jan  8 12:35:05 2019
+++ new/usr/src/cmd/ndmpd/Makefile	Tue Jan  8 12:35:05 2019
@@ -1,5 +1,6 @@
 #
 # Copyright (c) 2007, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 #
@@ -51,6 +52,9 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -DDEBUG
 CPPFLAGS += -I. -Iinclude
 
+# not linted
+SMATCH=off
+
 CSTD = $(CSTD_GNU99)
 
 # lint does not like unused _umem_*_init
--- old/usr/src/cmd/ndmpstat/Makefile	Tue Jan  8 12:35:05 2019
+++ new/usr/src/cmd/ndmpstat/Makefile	Tue Jan  8 12:35:05 2019
@@ -2,6 +2,8 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 
 #
 # BSD 3 Clause License
@@ -47,6 +49,8 @@
 
 LDLIBS += -lndmp
 
+SMOFF += signed
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/news/Makefile	Tue Jan  8 12:35:06 2019
+++ new/usr/src/cmd/news/Makefile	Tue Jan  8 12:35:06 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= news 
 
@@ -32,6 +33,9 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG) 
--- old/usr/src/cmd/nl/Makefile	Tue Jan  8 12:35:07 2019
+++ new/usr/src/cmd/nl/Makefile	Tue Jan  8 12:35:07 2019
@@ -22,6 +22,8 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
+#
 # Message catalog requires no special processing because messages
 # only occur in ./nl.c, not in ../expr/compile.c.
 
@@ -40,6 +42,10 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-variable
+
+# not linted
+SMATCH=off
+
 $(XPG4):= CPPFLAGS += -DXPG4
 
 MAPFILE.INT =	../expr/mapfile-intf
--- old/usr/src/cmd/nlsadmin/Makefile	Tue Jan  8 12:35:08 2019
+++ new/usr/src/cmd/nlsadmin/Makefile	Tue Jan  8 12:35:08 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= nlsadmin
 
@@ -31,6 +32,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG) 
--- old/usr/src/cmd/nscd/Makefile	Tue Jan  8 12:35:09 2019
+++ new/usr/src/cmd/nscd/Makefile	Tue Jan  8 12:35:09 2019
@@ -20,6 +20,7 @@
 #
 #
 # Copyright (c) 1994, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 # Makefile for name service cache daemon
 #
@@ -63,6 +64,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
 
+# not linted
+SMATCH=off
+
 # nscd interposes on many symbols, and must export others for its own dlsym()
 # use, and dlsym() calls from libc.  Itemizing the interfaces within a mapfile
 # is error-prone, so establish the whole object as an interposer.
--- old/usr/src/cmd/nvmeadm/Makefile	Tue Jan  8 12:35:10 2019
+++ new/usr/src/cmd/nvmeadm/Makefile	Tue Jan  8 12:35:10 2019
@@ -29,6 +29,9 @@
 LDLIBS +=	-ldevinfo
 CSTD=	$(CSTD_GNU99)
 
+# error: cannot size expression
+SMATCH=off
+
 all: $(PROG)
 
 $(PROG): $(OBJS)
--- old/usr/src/cmd/oamuser/group/Makefile	Tue Jan  8 12:35:10 2019
+++ new/usr/src/cmd/oamuser/group/Makefile	Tue Jan  8 12:35:11 2019
@@ -23,8 +23,7 @@
 #
 # Copyright (c) 2013 RackTop Systems.
 #
-# cmd/oamuser/group/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../../Makefile.cmd
 
@@ -54,6 +53,9 @@
 CPPFLAGS=	-I$(HERE) -I$(LOCAL) $(CPPFLAGS.master)
 FILEMODE= 	0555
 
+# not linted
+SMATCH=off
+
 $(GROUPADD) :=	OBJS = $(ADD_OBJ)
 $(GROUPADD) :=	LDLIBS += $(LIBUSRGRP) -lcmdutils
 
--- old/usr/src/cmd/oamuser/lib/Makefile	Tue Jan  8 12:35:11 2019
+++ new/usr/src/cmd/oamuser/lib/Makefile	Tue Jan  8 12:35:12 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY= 	lib.a
 
@@ -66,6 +67,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-unused-variable
+# not linted
+SMATCH=off
+
 ARFLAGS=	cr
 AROBJS=		`$(LORDER) $(OBJS) | $(TSORT)`
 LINTFLAGS=	-u
--- old/usr/src/cmd/oamuser/user/Makefile	Tue Jan  8 12:35:13 2019
+++ new/usr/src/cmd/oamuser/user/Makefile	Tue Jan  8 12:35:13 2019
@@ -23,8 +23,7 @@
 # Copyright (c) 2013 RackTop Systems.
 # Copyright (c) 2013 Gary Mills
 #
-# cmd/oamuser/user/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 DEFAULTFILES= useradd.dfl
 
@@ -76,6 +75,9 @@
 CPPFLAGS=	-I$(HERE) -I$(LOCAL) $(CPPFLAGS.master)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 $(INSSBINPROG)  := FILEMODE = 0555
 $(INSSYSADMPROG):= FILEMODE = 0500
 $(INSSKELFILE)  := FILEMODE = 0644
--- old/usr/src/cmd/oawk/Makefile	Tue Jan  8 12:35:14 2019
+++ new/usr/src/cmd/oawk/Makefile	Tue Jan  8 12:35:14 2019
@@ -23,6 +23,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../Makefile.cmd
 
@@ -69,6 +70,9 @@
 CERRWARN +=	-_gcc=-Wno-extra
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# missing type declarations
+SMATCH =	off
+
 .KEEP_STATE :
 
 all :		$(PROG) $(TXTS)
--- old/usr/src/cmd/passmgmt/Makefile	Tue Jan  8 12:35:14 2019
+++ new/usr/src/cmd/passmgmt/Makefile	Tue Jan  8 12:35:14 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 
 PROG= 		passmgmt
@@ -42,6 +43,9 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 all: $(PROG) $(TXTS)
 
 XGETFLAGS= -a -x $(PROG).xcl 
--- old/usr/src/cmd/perl/Makefile.targ	Tue Jan  8 12:35:15 2019
+++ new/usr/src/cmd/perl/Makefile.targ	Tue Jan  8 12:35:15 2019
@@ -11,7 +11,7 @@
 #
 # Copyright (c) 2014 Racktop Systems.
 # Copyright 2015, OmniTI Computer Consulting, Inc. All rights reserved.
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 # Link against libc as perl solaris specs
 $(PERLEXT):= LDLIBS += -lc
@@ -26,6 +26,8 @@
 PCFLAGS= -DPERL_EUPXS_ALWAYS_EXPORT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 \
 	-DPERL_USE_SAFE_PUTENV -D_TS_ERRNO
 
+SMATCH=off
+
 $(MACH):
 	$(INS.dir)
 
--- old/usr/src/cmd/picl/plugins/lib/picld_pluginutil/Makefile.com	Tue Jan  8 12:35:16 2019
+++ new/usr/src/cmd/picl/plugins/lib/picld_pluginutil/Makefile.com	Tue Jan  8 12:35:16 2019
@@ -22,6 +22,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY=	libpicld_pluginutil.a
 VERS=		.1
@@ -53,6 +54,9 @@
 CPPFLAGS +=	-I.. -I$(SRC)/lib/libpicl -I$(SRC)/lib/libpicltree
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+SMOFF += all_func_returns
+
 CPPFLAGS +=	-D_REENTRANT
 DYNFLAGS +=	$(ZNOLAZYLOAD)
 LDLIBS +=	-L$(SRC)/lib/libpicltree/$(MACH)
--- old/usr/src/cmd/pools/poolcfg/Makefile	Tue Jan  8 12:35:18 2019
+++ new/usr/src/cmd/pools/poolcfg/Makefile	Tue Jan  8 12:35:18 2019
@@ -22,9 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-# cmd/pools/poolbind/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		poolcfg
 OBJS =		poolcfg_lex.o poolcfg_grammar.o
@@ -49,6 +47,9 @@
 XGETFLAGS =	-a
 CLOBBERFILES +=	poolcfg_lex.c poolcfg_grammar.c poolcfg_grammar.h
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/pools/poold/Makefile	Tue Jan  8 12:35:19 2019
+++ new/usr/src/cmd/pools/poold/Makefile	Tue Jan  8 12:35:19 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/pools/poold/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		poold
 OBJS =		poold.o
@@ -87,6 +87,9 @@
 $(BLD_JAVA_8)LINTFLAGS64 += -erroff=E_NAME_USED_NOT_DEF2
 LINTLIBS +=	-L$(LIBPOOL_PATH) -lpool
 
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	$(INCS)
 ROOTCMDDIR =	$(ROOT)/usr/lib/pool
 
--- old/usr/src/cmd/pools/poold/libjkstat/Makefile.com	Tue Jan  8 12:35:20 2019
+++ new/usr/src/cmd/pools/poold/libjkstat/Makefile.com	Tue Jan  8 12:35:20 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libjkstat.a
 VERS =		.1
@@ -42,6 +41,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_REENTRANT -D_FILE_OFFSET_BITS=64 $(INCS)
 
+# not linted
+SMATCH=off
+
 all: $(LIBS)
 
 lint: lintcheck
--- old/usr/src/cmd/pools/poold/libjlgrp/Makefile.com	Tue Jan  8 12:35:21 2019
+++ new/usr/src/cmd/pools/poold/libjlgrp/Makefile.com	Tue Jan  8 12:35:21 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libjlgrp.a
 VERS =		.1
@@ -42,6 +41,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_REENTRANT -D_FILE_OFFSET_BITS=64 $(INCS)
 
+# not linted
+SMATCH=off
+
 all: $(LIBS)
 
 lint: lintcheck
--- old/usr/src/cmd/pools/poold/libjpool/Makefile.com	Tue Jan  8 12:35:21 2019
+++ new/usr/src/cmd/pools/poold/libjpool/Makefile.com	Tue Jan  8 12:35:21 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libjpool.a
 VERS =		.1
@@ -42,6 +41,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_REENTRANT -D_FILE_OFFSET_BITS=64 $(INCS)
 
+# not linted
+SMATCH=off
+
 all: $(LIBS)
 
 lint: lintcheck
--- old/usr/src/cmd/pools/poold/libjsyslog/Makefile.com	Tue Jan  8 12:35:22 2019
+++ new/usr/src/cmd/pools/poold/libjsyslog/Makefile.com	Tue Jan  8 12:35:22 2019
@@ -22,8 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libjsyslog.a
 VERS =		.1
@@ -42,6 +41,9 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_REENTRANT -D_FILE_OFFSET_BITS=64 $(INCS)
 
+# not linted
+SMATCH=off
+
 all: $(LIBS)
 
 lint: lintcheck
--- old/usr/src/cmd/power/Makefile	Tue Jan  8 12:35:22 2019
+++ new/usr/src/cmd/power/Makefile	Tue Jan  8 12:35:22 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/power/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 DAEMON_SRCS =	powerd.c sysstat.c
 DAEMON_OBJS =	$(DAEMON_SRCS:%.c=%.o)
@@ -75,8 +74,8 @@
 $(ROOTLIBPOWER) := FILEMODE= 755
 $(ROOTLIBPOWERDAEMON) := FILEMODE= 555
 
-ROOTETCFILES= $(ETCFILES:%=$(ROOTETC)/%) 
-$(ROOTETCFILES) := FILEMODE= 644 
+ROOTETCFILES= $(ETCFILES:%=$(ROOTETC)/%)
+$(ROOTETCFILES) := FILEMODE= 644
 
 #
 # lint pass one enforcement
@@ -83,6 +82,8 @@
 #
 CFLAGS += $(CCVERBOSE)
 
+SMOFF += signed
+
 .PARALLEL: $(OBJS)
 
 .KEEP_STATE:
--- old/usr/src/cmd/powertop/Makefile.com	Tue Jan  8 12:35:22 2019
+++ new/usr/src/cmd/powertop/Makefile.com	Tue Jan  8 12:35:22 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = powertop
 
@@ -43,6 +44,9 @@
 CFLAGS64	+= $(CCVERBOSE)
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-uninitialized
+
+SMOFF += free
+
 LDLIBS		+= -lcurses -ldtrace -lkstat
 
 FILEMODE	= 0555
--- old/usr/src/cmd/pr/Makefile	Tue Jan  8 12:35:22 2019
+++ new/usr/src/cmd/pr/Makefile	Tue Jan  8 12:35:22 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= pr
 XPG4PROG= pr
@@ -33,6 +34,8 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 
+SMOFF += indenting
+
 $(XPG4):= CPPFLAGS += -DXPG4
 $(POFILE) := XGETFLAGS += -a -x pr.xcl
 
--- old/usr/src/cmd/praudit/Makefile	Tue Jan  8 12:35:23 2019
+++ new/usr/src/cmd/praudit/Makefile	Tue Jan  8 12:35:23 2019
@@ -24,7 +24,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 XLATEDIR = $(SRC)/lib/libbsm/common
 
@@ -45,6 +45,8 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += signed
+
 LDLIBS += -lbsm -lnsl -lpam -ltsol
 
 .KEEP_STATE:
--- old/usr/src/cmd/prctl/Makefile.com	Tue Jan  8 12:35:23 2019
+++ new/usr/src/cmd/prctl/Makefile.com	Tue Jan  8 12:35:23 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	prctl
 
@@ -36,6 +37,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS	+= -lproc -lproject
 
 # Adding this flag to LINTFLAGS did not do anything.  I'm adding this flag
--- old/usr/src/cmd/print/bsd-sysv-commands/Makefile	Tue Jan  8 12:35:23 2019
+++ new/usr/src/cmd/print/bsd-sysv-commands/Makefile	Tue Jan  8 12:35:23 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../Makefile.sp
 
@@ -67,6 +67,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 all:	$(BINPROGS) $(SBINPROGS)
 
 #	each program needs common.o as well
--- old/usr/src/cmd/print/conv_fix/Makefile	Tue Jan  8 12:35:23 2019
+++ new/usr/src/cmd/print/conv_fix/Makefile	Tue Jan  8 12:35:23 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/lp/client/conv_fix/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include 	../Makefile.sp
 
@@ -41,11 +40,14 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(PROG)
 
-install:	all $(ROOTLIBPRINTPROG) 
+install:	all $(ROOTLIBPRINTPROG)
 
 $(ROOTLIBPRINT)/%: %
 	$(INS.file)
--- old/usr/src/cmd/print/lpset/Makefile	Tue Jan  8 12:35:24 2019
+++ new/usr/src/cmd/print/lpset/Makefile	Tue Jan  8 12:35:24 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/lp/client/lpset/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include 	../Makefile.sp
 
@@ -39,6 +38,10 @@
 
 CPPFLAGS +=	-I$(NPRTINC)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
+
+# not linted
+SMATCH=off
+
 LDLIBS +=	$(LIBNPRT) -lsecdb
 
 .KEEP_STATE:
@@ -45,7 +48,7 @@
 
 all:		$(PROG)
 
-install:	all $(ROOTBIN) $(ROOTBINPROG) 
+install:	all $(ROOTBIN) $(ROOTBINPROG)
 
 $(ROOTBIN):
 	$(INS.dir)
--- old/usr/src/cmd/print/printer-info/Makefile	Tue Jan  8 12:35:25 2019
+++ new/usr/src/cmd/print/printer-info/Makefile	Tue Jan  8 12:35:25 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../Makefile.sp
 
@@ -34,8 +35,6 @@
 ROOTPROG=	$(PROG:%=$(ROOTLIBLPBIN)/%)
 $(ROOTPROG)	:= FILEMODE=555
 
-CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-
 .KEEP_STATE:
 
 all:		$(PROG)
@@ -46,13 +45,13 @@
 $(ROOTLIBLPBIN)/%:	%
 	$(INS.file)
 
-install:	all $(ROOTLIBLPBIN) $(ROOTPROG) 
+install:	all $(ROOTLIBLPBIN) $(ROOTPROG)
 
 $(PROGRAM):	$(OBJECTS)
 	$(CC) $(CFLAGS) -o $@ $(OBJECTS)
 
 clean:
-	$(RM) $(PROG) *.o 
+	$(RM) $(PROG) *.o
 
 cstyle:
 	cstyle $(SRCS)
--- old/usr/src/cmd/print/printer-info/printer-info.c	Tue Jan  8 12:35:27 2019
+++ new/usr/src/cmd/print/printer-info/printer-info.c	Tue Jan  8 12:35:27 2019
@@ -24,9 +24,12 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <unistd.h>
 #include <string.h>
 #include <sys/ioctl.h>
--- old/usr/src/cmd/print/printmgr/com/sun/admin/pm/server/Makefile	Tue Jan  8 12:35:28 2019
+++ new/usr/src/cmd/print/printmgr/com/sun/admin/pm/server/Makefile	Tue Jan  8 12:35:28 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Makefile for Java Print Manager server
@@ -86,6 +87,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lprint -lnsl -lsocket -lc
 
 CLEANFILES=	*.class $(LINTLIB) $(LINTOUT)
--- old/usr/src/cmd/prtvtoc/Makefile	Tue Jan  8 12:35:29 2019
+++ new/usr/src/cmd/prtvtoc/Makefile	Tue Jan  8 12:35:29 2019
@@ -21,10 +21,9 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/prtvtoc/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
-PROG= prtvtoc 
+PROG= prtvtoc
 
 include ../Makefile.cmd
 
@@ -35,9 +34,12 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG) $(ROOTSYMLINK)
 
--- old/usr/src/cmd/ps/Makefile.com	Tue Jan  8 12:35:30 2019
+++ new/usr/src/cmd/ps/Makefile.com	Tue Jan  8 12:35:30 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/ps/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	ps
 
@@ -36,6 +35,9 @@
 CFLAGS	+= $(CCVERBOSE)
 LDLIBS += -lproject
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 %.o:	../%.c
--- old/usr/src/cmd/ptools/Makefile.bld	Tue Jan  8 12:35:33 2019
+++ new/usr/src/cmd/ptools/Makefile.bld	Tue Jan  8 12:35:33 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG:sh = basename `cd ..; pwd`
 
@@ -56,11 +57,15 @@
 LDLIBS += $(LDLIBS_$(PROG))
 
 CERRWARN_plgrp	+= -_gcc=-Wno-parentheses
+CERRWARN_plgrp	+= -_smatch=off
 
+CERRWARN_pmadvise += -_smatch=off
+
 CERRWARN_ppriv	+= -_gcc=-Wno-parentheses
 CERRWARN_ppriv	+= -_gcc=-Wno-uninitialized
 
 CERRWARN_ptree	+= -_gcc=-Wno-parentheses
+CERRWARN_ptree	+= -_smatch=off
 
 CERRWARN_pstack	+= -_gcc=-Wno-uninitialized
 CERRWARN_pstack	+= -_gcc=-Wno-clobbered
@@ -68,6 +73,8 @@
 CERRWARN_pargs	+= -_gcc=-Wno-clobbered
 CERRWARN_pargs	+= -_gcc=-Wno-type-limits
 
+CERRWARN_pwait	+= -_smatch=off
+
 CERRWARN += $(CERRWARN_$(PROG))
 
 # pargs depends on ../../common/elfcap components
--- old/usr/src/cmd/pwconv/Makefile	Tue Jan  8 12:35:35 2019
+++ new/usr/src/cmd/pwconv/Makefile	Tue Jan  8 12:35:35 2019
@@ -21,8 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/pwconv/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=           pwconv
 
@@ -32,9 +31,11 @@
 FILEMODE=       0555
 RELSBIN=        ../sbin
 
+SMOFF += indenting
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG) $(ROOTPROG)
 
@@ -44,5 +45,5 @@
 clean:
 
 lint:   lint_PROG
- 
+
 include ../Makefile.targ
--- old/usr/src/cmd/rcap/Makefile.com	Tue Jan  8 12:35:37 2019
+++ new/usr/src/cmd/rcap/Makefile.com	Tue Jan  8 12:35:37 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Definitions for targets shared by some subdirs, which have
@@ -35,6 +36,8 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-parentheses
 
+SMOFF += strcpy_overflow
+
 %.o: $(COMMON_DIR)/%.c
 	$(COMPILE.c) $<
 %.po: $(COMMON_DIR)/%.c
